Browse Source

Upgrade all the gems to Rails5.x and Spree 3.4

tags/0.7.0^2
Bèr Kessels 3 years ago
parent
commit
d8940a5051
3 changed files with 218 additions and 196 deletions
  1. 1
    1
      Gemfile
  2. 214
    192
      Gemfile.lock
  3. 3
    3
      spree_billing_sisow.gemspec

+ 1
- 1
Gemfile View File

@@ -1,7 +1,7 @@
source 'https://rubygems.org'

# Provides basic authentication functionality for testing parts of your engine
gem 'spree_auth_devise', git: 'https://github.com/spree/spree_auth_devise', branch: '3-1-stable'
gem 'spree_auth_devise', '~> 3.2'
gem 'therubyracer', platforms: :ruby

gem 'rb-readline', group: :development

+ 214
- 192
Gemfile.lock View File

@@ -1,97 +1,92 @@
GIT
remote: https://github.com/spree/spree_auth_devise
revision: c67f50eb317c5ff64f58c22ac46abd225e5223ed
branch: 3-1-stable
specs:
spree_auth_devise (3.1.0)
devise (~> 3.5.4)
devise-encryptable (= 0.1.2)
spree_core (~> 3.1.0)

PATH
remote: .
specs:
spree_billing_sisow (0.6.1)
sisow (~> 1.5)
spree_core (~> 3.1.0)
spree_frontend (~> 3.1.0)
spree_core (~> 3.4.0)
spree_frontend (~> 3.4.0)

GEM
remote: https://rubygems.org/
specs:
actionmailer (4.2.8)
actionpack (= 4.2.8)
actionview (= 4.2.8)
activejob (= 4.2.8)
actioncable (5.1.5)
actionpack (= 5.1.5)
nio4r (~> 2.0)
websocket-driver (~> 0.6.1)
actionmailer (5.1.5)
actionpack (= 5.1.5)
actionview (= 5.1.5)
activejob (= 5.1.5)
mail (~> 2.5, >= 2.5.4)
rails-dom-testing (~> 1.0, >= 1.0.5)
actionpack (4.2.8)
actionview (= 4.2.8)
activesupport (= 4.2.8)
rack (~> 1.6)
rack-test (~> 0.6.2)
rails-dom-testing (~> 1.0, >= 1.0.5)
rails-dom-testing (~> 2.0)
actionpack (5.1.5)
actionview (= 5.1.5)
activesupport (= 5.1.5)
rack (~> 2.0)
rack-test (>= 0.6.3)
rails-dom-testing (~> 2.0)
rails-html-sanitizer (~> 1.0, >= 1.0.2)
actionview (4.2.8)
activesupport (= 4.2.8)
actionview (5.1.5)
activesupport (= 5.1.5)
builder (~> 3.1)
erubis (~> 2.7.0)
rails-dom-testing (~> 1.0, >= 1.0.5)
erubi (~> 1.4)
rails-dom-testing (~> 2.0)
rails-html-sanitizer (~> 1.0, >= 1.0.3)
activejob (4.2.8)
activesupport (= 4.2.8)
globalid (>= 0.3.0)
activemerchant (1.66.0)
activejob (5.1.5)
activesupport (= 5.1.5)
globalid (>= 0.3.6)
activemerchant (1.77.0)
activesupport (>= 3.2.14, < 6.x)
builder (>= 2.1.2, < 4.0.0)
i18n (>= 0.6.9)
nokogiri (~> 1.4)
activemodel (4.2.8)
activesupport (= 4.2.8)
builder (~> 3.1)
activerecord (4.2.8)
activemodel (= 4.2.8)
activesupport (= 4.2.8)
arel (~> 6.0)
activesupport (4.2.8)
activemodel (5.1.5)
activesupport (= 5.1.5)
activerecord (5.1.5)
activemodel (= 5.1.5)
activesupport (= 5.1.5)
arel (~> 8.0)
activesupport (5.1.5)
concurrent-ruby (~> 1.0, >= 1.0.2)
i18n (~> 0.7)
minitest (~> 5.1)
thread_safe (~> 0.3, >= 0.3.4)
tzinfo (~> 1.1)
acts_as_list (0.7.2)
acts-as-taggable-on (5.0.0)
activerecord (>= 4.2.8)
acts_as_list (0.9.10)
activerecord (>= 3.0)
addressable (2.5.1)
public_suffix (~> 2.0, >= 2.0.2)
arel (6.0.4)
autoprefixer-rails (7.1.1)
addressable (2.5.2)
public_suffix (>= 2.0.2, < 4.0)
arel (8.0.0)
autoprefixer-rails (8.0.0)
execjs
awesome_nested_set (3.0.3)
activerecord (>= 4.0.0, < 5)
awesome_nested_set (3.1.4)
activerecord (>= 4.0.0, < 5.3)
bcrypt (3.1.11)
bootstrap-sass (3.3.7)
autoprefixer-rails (>= 5.2.1)
sass (>= 3.3.4)
builder (3.2.3)
byebug (9.0.6)
byebug (10.0.0)
camertron-eprun (1.1.1)
cancancan (1.10.1)
canonical-rails (0.0.11)
rails (>= 3.1, < 5.0)
capybara (2.14.0)
cancancan (2.1.3)
canonical-rails (0.2.2)
rails (>= 4.1, < 5.2)
capybara (2.18.0)
addressable
mime-types (>= 1.16)
mini_mime (>= 0.1.3)
nokogiri (>= 1.3.3)
rack (>= 1.0.0)
rack-test (>= 0.5.4)
xpath (~> 2.0)
xpath (>= 2.0, < 4.0)
carmen (1.0.2)
activesupport (>= 3.0.0)
cldr-plurals-runtime-rb (1.0.1)
climate_control (0.2.0)
cocaine (0.5.8)
climate_control (>= 0.0.3, < 1.0)
codeclimate-test-reporter (1.0.8)
simplecov (<= 0.13)
codeclimate-test-reporter (1.0.7)
simplecov
coffee-rails (4.2.2)
coffee-script (>= 2.2.0)
railties (>= 4.0.0)
@@ -99,134 +94,149 @@ GEM
coffee-script-source
execjs
coffee-script-source (1.12.2)
colorize (0.8.1)
concurrent-ruby (1.0.5)
crack (0.4.3)
safe_yaml (~> 1.0.0)
css_parser (1.5.0)
crass (1.0.3)
css_parser (1.6.0)
addressable
database_cleaner (1.6.1)
deface (1.0.2)
colorize (>= 0.5.8)
nokogiri (~> 1.6.0)
database_cleaner (1.6.2)
deface (1.3.0)
nokogiri (~> 1.6)
polyglot
rails (>= 3.1)
devise (3.5.10)
rails (>= 4.1)
rainbow (>= 2.1.0)
devise (4.3.0)
bcrypt (~> 3.0)
orm_adapter (~> 0.1)
railties (>= 3.2.6, < 5)
railties (>= 4.1.0, < 5.2)
responders
thread_safe (~> 0.1)
warden (~> 1.2.3)
devise-encryptable (0.1.2)
devise-encryptable (0.2.0)
devise (>= 2.1.0)
diff-lcs (1.3)
docile (1.1.5)
erubis (2.7.0)
erubi (1.7.0)
execjs (2.7.0)
factory_bot (4.8.2)
activesupport (>= 3.0.0)
ffaker (2.2.0)
font-awesome-rails (4.7.0.2)
railties (>= 3.2, < 5.2)
friendly_id (5.1.0)
ffaker (2.8.1)
ffi (1.9.21)
friendly_id (5.2.3)
activerecord (>= 4.0.0)
globalid (0.4.0)
globalid (0.4.1)
activesupport (>= 4.2.0)
hashdiff (0.3.4)
hashie (3.5.5)
hashdiff (0.3.7)
hashie (3.5.7)
highline (1.6.21)
htmlentities (4.3.4)
httpi (2.4.2)
rack
socksify
i18n (0.8.1)
i18n (0.9.5)
concurrent-ruby (~> 1.0)
jquery-rails (4.3.1)
rails-dom-testing (>= 1, < 3)
railties (>= 4.2.0)
thor (>= 0.14, < 2.0)
jquery-ui-rails (5.0.5)
jquery-ui-rails (6.0.1)
railties (>= 3.2.16)
json (2.1.0)
kaminari (0.17.0)
actionpack (>= 3.0.0)
activesupport (>= 3.0.0)
kaminari (1.0.1)
activesupport (>= 4.1.0)
kaminari-actionview (= 1.0.1)
kaminari-activerecord (= 1.0.1)
kaminari-core (= 1.0.1)
kaminari-actionview (1.0.1)
actionview
kaminari-core (= 1.0.1)
kaminari-activerecord (1.0.1)
activerecord
kaminari-core (= 1.0.1)
kaminari-core (1.0.1)
launchy (2.4.3)
addressable (~> 2.3)
libv8 (3.16.14.19)
loofah (2.0.3)
loofah (2.2.0)
crass (~> 1.0.2)
nokogiri (>= 1.5.9)
mail (2.6.5)
mime-types (>= 1.16, < 4)
mail (2.7.0)
mini_mime (>= 0.1.1)
method_source (0.9.0)
mime-types (3.1)
mime-types-data (~> 3.2015)
mime-types-data (3.2016.0521)
mimemagic (0.3.0)
mini_portile2 (2.1.0)
minitest (5.10.2)
mimemagic (0.3.2)
mini_mime (1.0.0)
mini_portile2 (2.3.0)
minitest (5.11.3)
monetize (1.7.0)
money (~> 6.9)
money (6.9.0)
i18n (>= 0.6.4, < 0.9)
nokogiri (1.6.8.1)
mini_portile2 (~> 2.1.0)
money (6.10.1)
i18n (>= 0.6.4, < 1.0)
nio4r (2.2.0)
nokogiri (1.8.2)
mini_portile2 (~> 2.3.0)
orm_adapter (0.5.0)
paperclip (4.3.7)
activemodel (>= 3.2.0)
activesupport (>= 3.2.0)
paperclip (5.1.0)
activemodel (>= 4.2.0)
activesupport (>= 4.2.0)
cocaine (~> 0.5.5)
mime-types
mimemagic (= 0.3.0)
paranoia (2.1.5)
activerecord (~> 4.0)
polyamorous (1.3.1)
mimemagic (~> 0.3.0)
paranoia (2.3.1)
activerecord (>= 4.0, < 5.2)
polyamorous (1.3.3)
activerecord (>= 3.0)
polyglot (0.3.5)
premailer (1.10.4)
premailer (1.11.1)
addressable
css_parser (>= 1.4.10)
css_parser (>= 1.6.0)
htmlentities (>= 4.0.0)
premailer-rails (1.9.6)
premailer-rails (1.10.1)
actionmailer (>= 3, < 6)
premailer (~> 1.7, >= 1.7.9)
public_suffix (2.0.5)
rabl (0.12.0)
public_suffix (3.0.2)
rabl (0.13.1)
activesupport (>= 2.3.14)
rack (1.6.8)
rack-test (0.6.3)
rack (>= 1.0)
rails (4.2.8)
actionmailer (= 4.2.8)
actionpack (= 4.2.8)
actionview (= 4.2.8)
activejob (= 4.2.8)
activemodel (= 4.2.8)
activerecord (= 4.2.8)
activesupport (= 4.2.8)
bundler (>= 1.3.0, < 2.0)
railties (= 4.2.8)
sprockets-rails
rails-deprecated_sanitizer (1.0.3)
activesupport (>= 4.2.0.alpha)
rails-dom-testing (1.0.8)
activesupport (>= 4.2.0.beta, < 5.0)
nokogiri (~> 1.6)
rails-deprecated_sanitizer (>= 1.0.1)
rack (2.0.4)
rack-test (0.8.2)
rack (>= 1.0, < 3)
rails (5.1.5)
actioncable (= 5.1.5)
actionmailer (= 5.1.5)
actionpack (= 5.1.5)
actionview (= 5.1.5)
activejob (= 5.1.5)
activemodel (= 5.1.5)
activerecord (= 5.1.5)
activesupport (= 5.1.5)
bundler (>= 1.3.0)
railties (= 5.1.5)
sprockets-rails (>= 2.0.0)
rails-dom-testing (2.0.3)
activesupport (>= 4.2.0)
nokogiri (>= 1.6)
rails-html-sanitizer (1.0.3)
loofah (~> 2.0)
railties (4.2.8)
actionpack (= 4.2.8)
activesupport (= 4.2.8)
railties (5.1.5)
actionpack (= 5.1.5)
activesupport (= 5.1.5)
method_source
rake (>= 0.8.7)
thor (>= 0.18.1, < 2.0)
rake (12.0.0)
ransack (1.4.1)
rainbow (3.0.0)
rake (12.3.0)
ransack (1.8.7)
actionpack (>= 3.0)
activerecord (>= 3.0)
activesupport (>= 3.0)
i18n
polyamorous (~> 1.1)
rb-readline (0.5.4)
polyamorous (~> 1.3.2)
rb-fsevent (0.10.2)
rb-inotify (0.9.10)
ffi (>= 0.5.0, < 2)
rb-readline (0.5.5)
ref (2.0.0)
responders (2.4.0)
actionpack (>= 4.2.0, < 5.3)
@@ -235,26 +245,30 @@ GEM
activemodel (>= 3.0)
activesupport (>= 3.0)
rspec-mocks (>= 2.99, < 4.0)
rspec-core (3.6.0)
rspec-support (~> 3.6.0)
rspec-expectations (3.6.0)
rspec-core (3.7.1)
rspec-support (~> 3.7.0)
rspec-expectations (3.7.0)
diff-lcs (>= 1.2.0, < 2.0)
rspec-support (~> 3.6.0)
rspec-mocks (3.6.0)
rspec-support (~> 3.7.0)
rspec-mocks (3.7.0)
diff-lcs (>= 1.2.0, < 2.0)
rspec-support (~> 3.6.0)
rspec-rails (3.6.0)
rspec-support (~> 3.7.0)
rspec-rails (3.7.2)
actionpack (>= 3.0)
activesupport (>= 3.0)
railties (>= 3.0)
rspec-core (~> 3.6.0)
rspec-expectations (~> 3.6.0)
rspec-mocks (~> 3.6.0)
rspec-support (~> 3.6.0)
rspec-support (3.6.0)
rspec-core (~> 3.7.0)
rspec-expectations (~> 3.7.0)
rspec-mocks (~> 3.7.0)
rspec-support (~> 3.7.0)
rspec-support (3.7.1)
safe_yaml (1.0.4)
sass (3.4.24)
sass-rails (5.0.6)
sass (3.5.5)
sass-listen (~> 4.0.0)
sass-listen (4.0.0)
rb-fsevent (~> 0.9, >= 0.9.4)
rb-inotify (~> 0.9, >= 0.9.7)
sass-rails (5.0.7)
railties (>= 4.0.0, < 6)
sass (~> 3.1)
sprockets (>= 2.8, < 4.0)
@@ -262,99 +276,107 @@ GEM
tilt (>= 1.1, < 3)
select2-rails (3.5.9.1)
thor (~> 0.14)
simplecov (0.13.0)
simplecov (0.15.1)
docile (~> 1.1.0)
json (>= 1.8, < 3)
simplecov-html (~> 0.10.0)
simplecov-html (0.10.1)
simplecov-html (0.10.2)
sisow (1.7)
crack
hashie
httpi
socksify (1.7.1)
spree_api (3.1.5)
rabl (~> 0.12.0)
spree_core (= 3.1.5)
versioncake (~> 2.3.1)
spree_backend (3.1.5)
spree_api (3.4.4)
rabl (~> 0.13.1)
spree_core (= 3.4.4)
versioncake (~> 3.3.0)
spree_auth_devise (3.3.1)
devise (~> 4.3.0)
devise-encryptable (= 0.2.0)
spree_core (>= 3.1.0, < 4.0)
spree_extension
spree_backend (3.4.4)
bootstrap-sass (~> 3.3)
jquery-rails (~> 4.1)
jquery-ui-rails (~> 5.0)
jquery-rails (~> 4.3)
jquery-ui-rails (~> 6.0.1)
select2-rails (= 3.5.9.1)
spree_api (= 3.1.5)
spree_core (= 3.1.5)
spree_core (3.1.5)
activemerchant (~> 1.59)
acts_as_list (= 0.7.2)
awesome_nested_set (~> 3.0.1)
cancancan (~> 1.10.1)
spree_api (= 3.4.4)
spree_core (= 3.4.4)
spree_core (3.4.4)
activemerchant (~> 1.67)
acts-as-taggable-on (~> 5.0)
acts_as_list (~> 0.8)
awesome_nested_set (~> 3.1.3)
cancancan (~> 2.0)
carmen (~> 1.0.0)
deface (~> 1.0.0)
ffaker (~> 2.2.0)
font-awesome-rails (~> 4.0)
friendly_id (~> 5.1.0)
deface (~> 1.0)
ffaker (~> 2.2)
friendly_id (~> 5.2.1)
highline (~> 1.6.18)
kaminari (~> 0.17)
kaminari (~> 1.0.1)
monetize (~> 1.1)
paperclip (~> 4.3.0)
paranoia (~> 2.1.0)
paperclip (~> 5.1.0)
paranoia (~> 2.3.0)
premailer-rails
rails (~> 4.2.5)
ransack (~> 1.4.1)
rails (~> 5.1.4)
ransack (~> 1.8.0)
responders
sprockets-rails
state_machines-activerecord (~> 0.2)
state_machines-activerecord (~> 0.5)
stringex
truncate_html (~> 0.9.3)
twitter_cldr (~> 3.0)
spree_frontend (3.1.5)
twitter_cldr (~> 4.3)
spree_extension (0.0.5)
activerecord (>= 4.2)
spree_frontend (3.4.4)
bootstrap-sass (>= 3.3.5.1, < 3.4)
canonical-rails (~> 0.0.4)
jquery-rails (~> 4.1)
spree_api (= 3.1.5)
spree_core (= 3.1.5)
canonical-rails (~> 0.2.0)
jquery-rails (~> 4.3)
spree_api (= 3.4.4)
spree_core (= 3.4.4)
sprockets (3.7.1)
concurrent-ruby (~> 1.0)
rack (> 1, < 3)
sprockets-rails (3.2.0)
sprockets-rails (3.2.1)
actionpack (>= 4.0)
activesupport (>= 4.0)
sprockets (>= 3.0.0)
sqlite3 (1.3.13)
state_machines (0.4.0)
state_machines-activemodel (0.4.1)
state_machines (0.5.0)
state_machines-activemodel (0.5.0)
activemodel (>= 4.1, < 5.2)
state_machines (>= 0.4.0)
state_machines-activerecord (0.4.1)
state_machines (>= 0.5.0)
state_machines-activerecord (0.5.0)
activerecord (>= 4.1, < 5.2)
state_machines-activemodel (>= 0.3.0)
stringex (2.7.1)
state_machines-activemodel (>= 0.5.0)
stringex (2.8.2)
therubyracer (0.12.3)
libv8 (~> 3.16.14.15)
ref
thor (0.19.4)
thor (0.20.0)
thread_safe (0.3.6)
tilt (2.0.7)
truncate_html (0.9.3)
twitter_cldr (3.6.0)
tilt (2.0.8)
twitter_cldr (4.4.3)
camertron-eprun
cldr-plurals-runtime-rb (~> 1.0)
tzinfo
tzinfo (1.2.3)
tzinfo (1.2.5)
thread_safe (~> 0.1)
versioncake (2.3.1)
versioncake (3.3.0)
actionpack (>= 3.2)
activesupport (>= 3.2)
railties (>= 3.2)
tzinfo
warden (1.2.7)
rack (>= 1.0)
webmock (3.0.1)
webmock (3.3.0)
addressable (>= 2.3.6)
crack (>= 0.3.2)
hashdiff
xpath (2.1.0)
nokogiri (~> 1.3)
websocket-driver (0.6.5)
websocket-extensions (>= 0.1.0)
websocket-extensions (0.1.3)
xpath (3.0.0)
nokogiri (~> 1.8)

PLATFORMS
ruby

+ 3
- 3
spree_billing_sisow.gemspec View File

@@ -16,11 +16,11 @@ Gem::Specification.new do |s|
s.require_path = 'lib'
s.requirements << 'none'

s.add_dependency 'spree_core', '~> 3.1.0'
s.add_dependency 'spree_frontend', '~> 3.1.0'
s.add_dependency 'spree_core', '~> 3.4.0'
s.add_dependency 'spree_frontend', '~> 3.4.0'
s.add_dependency 'sisow', '~> 1.5'

s.add_development_dependency 'spree_backend', '~> 3.1.0' # Needed to test the backend interface
s.add_development_dependency 'spree_backend', '~> 3.4.0' # Needed to test the backend interface
s.add_development_dependency 'capybara', '~> 2.1'
s.add_development_dependency 'webmock'
s.add_development_dependency 'coffee-rails'

Loading…
Cancel
Save